package com.menagerie.ophelia.recipesdetails

import androidx.compose.animation.AnimatedVisibilityScope
import androidx.compose.animation.ExperimentalSharedTransitionApi
import androidx.compose.animation.SharedTransitionScope
import androidx.compose.runtime.Composable
import com.menagerie.ophelia.model.Recipe
import com.menagerie.ophelia.sensor.SensorManager

@OptIn(ExperimentalSharedTransitionApi::class)
@Composable
fun RecipeDetails(
    recipe: Recipe,
    goBack: () -> Unit,
    sensorManager: SensorManager?,
    isLarge: Boolean,
) {
    if (isLarge) RecipeDetailsLarge(
        recipe = recipe,
        goBack = goBack,
        sensorManager = sensorManager
    )
    else RecipeDetailsSmall(
        recipe = recipe,
        goBack = goBack,
        sensorManager = sensorManager
    )
}