package com.menagerie.ophelia.recipesdetails

import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.lazy.LazyListScope
import androidx.compose.foundation.lazy.itemsIndexed
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Text
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import com.menagerie.ophelia.model.Recipe


internal fun LazyListScope.StepsAndDetails(
    recipe: Recipe
) {

    item {

        Text(
            text = recipe.title,
            style = MaterialTheme.typography.headlineMedium,
            fontWeight = FontWeight.W700,
            modifier = Modifier.padding(top = 16.dp, start = 16.dp, end = 16.dp)
        )

        Text(
            text = recipe.description,
            style = MaterialTheme.typography.bodyMedium,
            modifier = Modifier.padding(top = 16.dp, start = 16.dp, end = 16.dp)
        )

        Text(
            text = "INGREDIENTS",
            style = MaterialTheme.typography.headlineSmall,
            fontWeight = FontWeight.W700,
            modifier = Modifier.padding(top = 16.dp, start = 16.dp, end = 16.dp)
        )

    }

    itemsIndexed(recipe.ingredients) { index, value ->
        IngredientItem(recipe, value)
    }

    item {
        Text(
            text = "STEPS",
            style = MaterialTheme.typography.headlineSmall,
            fontWeight = FontWeight.W700,
            modifier = Modifier.padding(top = 16.dp, start = 16.dp, end = 16.dp)
        )
    }

    itemsIndexed(recipe.instructions) { index, _ ->
        InstructionItem(recipe, index)
    }
}